components:
  schemas:
    IOConnectivityLineOfService_v1_2_0_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/IOConnectivityLineOfService_v1_2_0_OemActions'
          description: This property contains the available OEM specific actions for
            this resource.
          x-longDescription: This property shall contain any additional OEM actions
            for this resource.
          x-versionAdded: v1_2_0
      type: object
      x-longDescription: The Actions property shall contain the available actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    IOConnectivityLineOfService_v1_2_0_IOConnectivityLineOfService:
      additionalProperties: false
      description: A service option within the IO Connectivity line of service.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        AccessProtocols:
          description: SupportedAccessProtocols.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/Protocol.yaml#/components/schemas/Protocol_Protocol
            nullable: true
          readOnly: false
          type: array
          x-longDescription: 'The Enumeration Literal shall specify the Access protocol
            for this service option. NOTE: If multiple protocols are specified,  the
            corresponding MaxSupportedIOPS governs the max achieved across all protocol
            uses. This may be less than the sum of the individual max values, which
            may be specified by individual Line of Service entries.'
        Actions:
          $ref: '#/components/schemas/IOConnectivityLineOfService_v1_2_0_Actions'
          description: The available actions for this resource.
          x-longDescription: The Actions property shall contain the available actions
            for this resource.
          x-versionAdded: v1_2_0
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
          readOnly: true
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        MaxBytesPerSecond:
          description: The maximum Bandwidth in bytes per second that a connection
            can support.
          format: int64
          nullable: true
          readOnly: false
          type: integer
          x-longDescription: The value shall be the maximum bytes per second that
            a connection can support.
          x-units: By/s
          x-versionAdded: v1_1_0
        MaxIOPS:
          description: The maximum supported IOs per second that the connection will
            support for the selected access protocol.
          format: int64
          nullable: true
          readOnly: false
          type: integer
          x-longDescription: The value shall be the maximum IOs per second that the
            connection shall allow for the selected access protocol.
          x-units: '[IO]/s'
          x-versionAdded: v1_1_0
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: An IO connectivity service option may be used to specify
        the characteristics of storage connectivity.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    IOConnectivityLineOfService_v1_2_0_OemActions:
      additionalProperties: true
      description: The available OEM specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain any additional OEM actions for this
        resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#IOConnectivityLineOfService.v1_2_0.IOConnectivityLineOfService'
x-copyright: Copyright 2015-2024 Storage Networking Industry Association (SNIA), USA.
  All rights reserved.
x-owningEntity: SNIA
x-release: 1.1.0
